{
    "header": {
        "version": 1,
        "type": "record",
        "approw-key": "DLL_MSWIN_WS2_32"
    },
    "body": {
        "record1": {
            "<1>": "WS2_32",
            "<2>": "* [NS] msWin_,",
            "<3>": "*   Author   : Wile C Coyote - Super Genius",
            "<4>": "*   Date     : 10 Oct 2012",
            "<5>": "*   Purpose  : Revelation DLL prototype record for WS2_32.DLL",
            "<6>": "*",
            "<7>": "*   Comments",
            "<8>": "*   ========",
            "<9>": "*   ",
            "<10>": "*   ********************************************************************************",
            "<11>": "*   This DLLPROTOTYPE entity is likely to be updated by future OpenInsight upgrades. ",
            "<12>": "*   Please create your own DLLPROTOTYPE entities if you wish to add and amend  ",
            "<13>": "*   WS2_32 DLL prototype functions for your own application.",
            "<14>": "*   ********************************************************************************",
            "<15>": "*    ",
            "<16>": "*   Amended  Date        Reason",
            "<17>": "*   =======  ====        ======",
            "<18>": "*   Mr C     10 May 23   Added msWin_GetHostName",
            "<19>": "*   Mr C     24 Apr 23   Added msWin_GetHostByAddr, msWin_Inet_Addr, msWin_GetHostName",
            "<20>": "INT STDCALL WSACleanup(VOID) as msWin_WSACleanup",
            "<21>": "INT STDCALL WSACleanup(VOID)",
            "<22>": "INT STDCALL WSAGetLastError(VOID) as msWin_WSAGetLastError",
            "<23>": "INT STDCALL WSAGetLastError(VOID)",
            "<24>": "INT STDCALL WSAStartup(WORD,LPBINARY) as msWin_WSAStartup",
            "<25>": "INT STDCALL WSAStartup(WORD,LPBINARY)",
            "<26>": "LPVOID STDCALL accept(HANDLE,LPVOID,INT)",
            "<27>": "INT STDCALL bind(HANDLE,LPVOID,INT)",
            "<28>": "INT STDCALL closesocket(HANDLE)",
            "<29>": "INT STDCALL connect(HANDLE,LPBINARY,INT)",
            "<30>": "LPVOID STDCALL gethostbyaddr(LPVOID,INT,INT) as msWin_GetHostByAddr",
            "<31>": "LPVOID STDCALL gethostbyname(LPCHAR)",
            "<32>": "LPVOID STDCALL gethostbyname(LPASTR) as msWin_GetHostByName",
            "<33>": "INT STDCALL gethostname(LPCHAR,INT)",
            "<34>": "INT STDCALL gethostname(LPASTR,INT) as msWin_GetHostName",
            "<35>": "INT STDCALL getsockname(HANDLE,LPVOID,INT)",
            "<36>": "INT STDCALL getsockopt(HANDLE,INT,INT,LPCHAR,INT)",
            "<37>": "USHORT STDCALL htons(USHORT)",
            "<38>": "ULONG STDCALL inet_addr(LPASTR) as msWin_Inet_Addr",
            "<39>": "INT STDCALL ioctlsocket(HANDLE,LONG,ULONG)",
            "<40>": "INT STDCALL listen(HANDLE,INT)",
            "<41>": "INT STDCALL recv(HANDLE,LPCHAR,INT,INT)",
            "<42>": "INT STDCALL send(HANDLE,LPCHAR,INT,INT)",
            "<43>": "INT STDCALL send(HANDLE,LPCHAR,INT,INT) as socketsend",
            "<44>": "INT STDCALL setsockopt(HANDLE,INT,INT,LPCHAR,INT)",
            "<45>": "HANDLE STDCALL socket(INT,INT,INT)"
        }
    }
}